List coverages
curl --request GET \
--url https://api.clinikehr.com/v1/clinics/{clinic_id}/coverages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clinikehr.com/v1/clinics/{clinic_id}/coverages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.clinikehr.com/v1/clinics/{clinic_id}/coverages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"patient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"coverage_active": true,
"verification_status": "confirmed",
"source": "clinic",
"payer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>"
},
"member_id": "<string>",
"group_number": "<string>",
"group_name": "<string>",
"plan_name": "<string>",
"coverage_type": "medical",
"payment_responsibility": "P",
"relationship_to_subscriber": "self",
"subscriber": {
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-12-25",
"gender": "M",
"member_id": "<string>"
},
"is_primary": true,
"effective_date": "2023-12-25",
"termination_date": "2023-12-25",
"copay_amount": 123,
"coinsurance_percent": 123,
"deductible_amount": 123,
"out_of_pocket_max": 123,
"pre_authorization_required": true,
"network_status": "in_network",
"eligibility": {
"status": "<string>",
"checked_at": "2023-11-07T05:31:56Z"
},
"origin_assistant_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}Insurance coverage
List coverages
Permission: coverage:read
List one patient’s insurance coverages.
patient_id is required. verification_status filters to coverages staff have confirmed, ones still unconfirmed (added through the API and waiting for staff), or all (default). A restricted patient’s coverages are never returned. With Accept: application/fhir+json the answer is a searchset Bundle of FHIR R4 Coverage resources; an unconfirmed coverage reads as status draft.
GET
/
v1
/
clinics
/
{clinic_id}
/
coverages
List coverages
curl --request GET \
--url https://api.clinikehr.com/v1/clinics/{clinic_id}/coverages \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clinikehr.com/v1/clinics/{clinic_id}/coverages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.clinikehr.com/v1/clinics/{clinic_id}/coverages"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"patient_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"coverage_active": true,
"verification_status": "confirmed",
"source": "clinic",
"payer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"display_name": "<string>"
},
"member_id": "<string>",
"group_number": "<string>",
"group_name": "<string>",
"plan_name": "<string>",
"coverage_type": "medical",
"payment_responsibility": "P",
"relationship_to_subscriber": "self",
"subscriber": {
"first_name": "<string>",
"last_name": "<string>",
"date_of_birth": "2023-12-25",
"gender": "M",
"member_id": "<string>"
},
"is_primary": true,
"effective_date": "2023-12-25",
"termination_date": "2023-12-25",
"copay_amount": 123,
"coinsurance_percent": 123,
"deductible_amount": 123,
"out_of_pocket_max": 123,
"pre_authorization_required": true,
"network_status": "in_network",
"eligibility": {
"status": "<string>",
"checked_at": "2023-11-07T05:31:56Z"
},
"origin_assistant_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"has_more": true,
"next_cursor": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"code": "<string>",
"request_id": "<string>",
"detail": "<string>",
"errors": [
{
"pointer": "<string>",
"message": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Available options:
all, confirmed, unconfirmed Required range:
1 <= x <= 100